/* ------------------------------------------------------------------- */
/* Webflow Editor - Canvas Modifiers */
/* ------------------------------------------------------------------- */

html.wf-design-mode .wf-empty {
  padding: 0;
  border: unset;
  outline: unset !important;
  box-shadow: unset;
}

/* Col pad design mode indicator */

html.wf-design-mode .row .col:has(.slot)::before,
html.wf-design-mode .row .col:has(.slot)::after {
  content: '';
  position: absolute;
  top: 0;
  bottom: 0;
  width: calc(var(--_layout---grid--gap-main) / 2);
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='3' height='3' viewBox='0 0 3 3' fill='none'%3E%3Cg clip-path='url(%23clip0_481_2070)'%3E%3Cpath d='M2.99997 0.970703L0.969971 3.0007H2.02997L2.99997 2.0307V0.970703Z' fill='%23259d4d'/%3E%3Cpath d='M0.97 0L0 0.97V2.03L2.03 0H0.97Z' fill='%23259d4d'/%3E%3C/g%3E%3Cdefs%3E%3CclipPath id='clip0_481_2070'%3E%3Crect width='3' height='3' fill='white'/%3E%3C/clipPath%3E%3C/defs%3E%3C/svg%3E");
  background-repeat: repeat;
  background-size: 4px;
  opacity: 0;
  pointer-events: none;
}

html.wf-design-mode .col:has(> .slot)::before {
  left: 0;
}

html.wf-design-mode .col:has(> .slot)::after {
  right: 0;
}

html.wf-design-mode .col:has(> .slot):hover::before,
html.wf-design-mode .col:has(> .slot):hover::after {
  opacity: 0.5;
}

/* Empty slot indicator */

html.wf-design-mode .slot.wf-empty {
  /*min-height: 5rem;*/
  background-color: rgba(20, 110, 245, 0.1);
  background-size: 4px;
  background-image: url('https://cdn.prod.website-files.com/6968b8140d2ae6a5164252d2/6968b8160d2ae6a51642538c_bg-margin.svg');
  background-repeat: repeat;
}

/* Remove pointer events on overlays for easier canvas editing */

:is(.wf-design-mode, .w-editor) .u-link-cover {
  pointer-events: none;
}

/* Space tab panes */

:is(.wf-design-mode, .w-editor) .tabs-pane:has(+ .tabs-pane) {
  margin-bottom: var(--_layout---grid--gap-main);
}

:is(.wf-design-mode, .w-editor) .nav {
  overflow: clip;
}

/* ------------------------------------------------------------------- */
/* Grid Layout */
/* ------------------------------------------------------------------- */

html:not(.wf-design-mode) .grid-layout-component {
  display: none;
  visibility: hidden;
}
